using System;
using System.Xml;

using jvms.xmlgeneration;

namespace jvms.datamodel.common
{
	/// <summary>
	/// Summary description for ComponentInstantiationPortConnection.
	/// </summary>
	[Serializable]
	public abstract class ComponentInstantiationPortConnection : PortConnection
	{
		private ComponentInstantiation instance;

		public ComponentInstantiationPortConnection()
		{
			//
			// TODO: Add constructor logic here
			//
		}

		/// <summary>
		/// The instance we are connecting to.
		/// </summary>
		public ComponentInstantiation Instance
		{
			get
			{
				return instance;
			}
			set
			{
				instance = value;
			}
		}
	}
}
