using System.Collections;

using jvms.datamodel.spd;

namespace jvms.datamodel.sad
{
	/// <summary>
	/// Summary description for ComponentPlacement.
	/// </summary>
	public class ComponentPlacement
	{
		private IList instantiations;
		private SCAComponent softwarePackage;

		/// <summary>
		/// The list of instantiations.
		/// </summary>
		public IList Instantiations
		{
			get
			{
				return instantiations;
			}
			set
			{
				instantiations = value;
			}
		}

		/// <summary>
		/// The software package.
		/// </summary>
		public SCAComponent SoftwarePackage
		{
			get
			{
				return softwarePackage;
			}
			set
			{
				softwarePackage = value;
			}
		}
	}
}
