using System;
using System.Reflection;
using System.Xml;

namespace jvms.xmlgeneration
{
	/// <summary>
	/// Summary description for JVMSXMLResolver.
	/// </summary>
	public class JVMSXMLResolver : XmlUrlResolver
	{
		public JVMSXMLResolver()
		{
			//
			// TODO: Add constructor logic here
			//
		}

		/// <summary>
		/// 
		/// </summary>
		/// <param name="baseUri"></param>
		/// <param name="relativeUri"></param>
		/// <returns></returns>
		public override Uri ResolveUri( Uri baseUri, String relativeUri )
		{
			Assembly jvmsAssembly = Assembly.GetExecutingAssembly();
			String assemblyDir = assemblyDir = jvmsAssembly.Location.Substring( 0, jvmsAssembly.Location.LastIndexOf( '\\' ) + 1 );
			Uri uri = new Uri( assemblyDir + "resources/" + relativeUri );
			return uri;
		}
	}
}
