using System;
using System.ComponentModel;
using System.Collections;

namespace jvms.presentation
{
	/// <summary>
	/// Summary description for DefaultValuesStringConverter.
	/// </summary>
	public class DefaultValuesStringConverter : StringConverter
	{
		protected string[] values = {"blah4", "blah2"};
		protected bool exclusive = false;

		public DefaultValuesStringConverter()
		{
		}

		public DefaultValuesStringConverter( string[] values, bool exclusive )
		{
			//
			// TODO: Add constructor logic here
			//
			this.values = values;
			this.exclusive = exclusive;
		}

		public override bool GetStandardValuesSupported(ITypeDescriptorContext context)
		{
			return true;
		}

		public override StandardValuesCollection GetStandardValues(ITypeDescriptorContext context)
		{
			return new StandardValuesCollection( values );
		}

		public override bool GetStandardValuesExclusive( ITypeDescriptorContext context )
		{
			return exclusive;
		}
	}
}
