using System;

using jvms.datamodel.common;

namespace jvms.presentation.relationships
{
	/// <summary>
	/// Summary description for IPortRelationship.
	/// </summary>
	public interface IPortRelationship
	{
		/// <summary>
		/// This will get the connectInterface that this relationship represents.
		/// </summary>
		/// <returns>The connection for this relationship.</returns>
		ConnectInterface getConnectInterface();
	}
}
