using System;
using System.Xml;

using jvms.datamodel.scd;
using jvms.xmlgeneration;

namespace jvms.datamodel.common
{
	/// <summary>
	/// Summary description for PortConnection.
	/// </summary>
	[Serializable]
	public abstract class PortConnection : XMLObject
	{
		//This is the identifier
		private ComponentPortEndPoint port;		

		/// <summary>
		/// Construct a new connection endpoint.
		/// </summary>
		/// <param name="usesPortConnection"> Is this a uses or provides connection.</param>
		public PortConnection()
		{
			//
			// TODO: Add constructor logic here
			//
		}

		/// <summary>
		/// The port we are connecting to.
		/// </summary>
		public ComponentPortEndPoint Port
		{
			get
			{
				return port;
			}
			set
			{
				port = value;
			}
		}

		public abstract XmlElement toXML( XmlDocument document );
	}
}
