using System;
using System.Collections;

using jvms.datamodel.common;

namespace jvms.datamodel.sad
{
	[Serializable]
	public class HostColocation
	{
		/// <summary>
		/// BJL - A list of ComponentInstantiation objects, but I don't think this will be
		/// populated via the attribute sheet.
		/// </summary>
		private IList placements = new ArrayList();
		private String name = "";
		private ID id = new ID();

		/// <summary>
		/// The list of placements.
		/// </summary>
		public IList Placements
		{
			get
			{
				return placements;
			}
			set
			{
				placements = value;
			}
		}

		/// <summary>
		/// The name.
		/// </summary>
		public String Name
		{
			get
			{
				return name;
			}
			set
			{
				name = value;
			}
		}
		/// <summary>
		/// The id for the host colocation.
		/// </summary>
		public ID ID
		{
			get
			{
				return id;
			}
			set
			{
				id = value;
			}
		}

	}
}
