using System;

namespace jvms.datamodel.scd
{
	[Serializable]
	/// <summary>
	/// Specifies the interface that the (owning) interface inherits from.
	/// </summary>
	public class InheritsInterface
	{
		private String repID = "";

		/// <summary>
		/// The repository id.
		/// </summary>
		public String RepositoryID
		{
			get
			{
				return repID;
			}
			set
			{
				repID = value;
			}
		}

		/// <summary>
		/// Returns a String representation of this object.
		/// </summary>
		/// <returns>A String representation.</returns>
		public override String ToString()
		{
			String retVal = "<New Inherits Interface>";
			if ( !repID.Equals( "" ) )
			{
				retVal = repID;
			}
			return repID;
		}
	}
}
