using System;

using System.Xml;

namespace jvms.xmlgeneration
{
	/// <summary>
	/// Summary description for XMLObject.
	/// </summary>
	public interface XMLObject
	{
		/// <summary>
		/// This will convert this object to an XML element.
		/// </summary>
		/// <param name="document">The document that this element will go into.</param>
		/// <returns>The element representation of the object.</returns>
		XmlElement toXML( XmlDocument document );
	}
}
