using System;
using System.Collections;

using jvms.datamodel;
using jvms.presentation;

namespace jvms.project
{
	/// <summary>
	/// Summary description for ProjectState.
	/// </summary>
	[Serializable]
	public class ProjectState
	{
		private Project project;
		private ArrayList relationships;
		private ApplicationAssemblyView aaView;
		private ApplicationComponentView acView;
		private PlatformAssemblyView paView;
		private PlatformComponentView pcView;

		public ProjectState()
		{
		}

		public Project Project
		{
			get
			{
				return project;
			}

			set
			{
				project = value;
			}
		}

		public ArrayList Relationships
		{
			get
			{
				return relationships;
			}

			set
			{
				relationships = value;
			}
		}

		public ApplicationAssemblyView ApplicationAssemblyView
		{
			get
			{
				return aaView;
			}

			set
			{
				aaView = value;
			}
		}

		public ApplicationComponentView ApplicationComponentView
		{
			get
			{
				return acView;
			}

			set
			{
				acView = value;
			}
		}

		public PlatformAssemblyView PlatformAssemblyView
		{
			get
			{
				return paView;
			}

			set
			{
				paView = value;
			}
		}

		public PlatformComponentView PlatformComponentView
		{
			get
			{
				return pcView;
			}

			set
			{
				pcView = value;
			}
		}

	}
}
